#include "global.h"

#include <QSettings>
#include <QApplication>
#include <QFile>
#include <QDebug>

QSettings       *Global::g_settings     = nullptr;

using namespace Global;

void Global::global_init() {


    // g_settings
    QString filename = "~/.config/kylin-scanner.ini";

    g_settings = new QSettings(filename, QSettings::IniFormat);
    g_settings->setIniCodec("UTF-8");

    // 运行环境
    if(!g_settings->contains("General/display_env"))
    {
            g_settings->setValue("General/display_env", "x11");
    }

}

void Global::global_end() {
    delete g_settings;
}
